from json import JSONDecodeError

import pymysql

from wanjia.spark.common import Constants
from wanjia.spark.utils import DbUtils as dbutils

def getRecordByIdResultT1(id):
    try:
        conn, cur = dbutils.create_conn()
        # 创建游标对象,用来给数据库发送sql语句
        serch_data = """select json from test1 where id = %s """ %(id)
        cur.execute(serch_data)
        # 获取下一个查询结果集
        conn.commit()
        record = cur.fetchone()
    except ConnectionError as e:
        print("executor failed:{0}".format(e))
        updateStatusById(Constants.SELECT_CODE)
    finally:
        # 关闭数据库连接
        dbutils.close_conn(conn, cur)
    return record

def updateStatusById(status):
    try:
        id = 1
        conn, cur = dbutils.create_conn()
        # 创建游标对象,用来给数据库发送sql语句
        #serch_data = """select t1 from test where id = {table_id}""".format(table_id=id)
        update_data = 'update test set status=%s where id =%s'  %(status, id)

        result = cur.execute(update_data)
        conn.commit()
        # 获取下一个查询结果集
    except Exception as e:
        print("executor failed:{0}".format(e))
    finally:
        # 关闭数据库连接
        dbutils.close_conn(conn, cur)
    return result