"""
各种类型错误定义:

"""
"""
文件预处理:
PRE_FILE_WAIT_PROCESS = 1       上传
PRE_FILE_PROCESSING = 2         正在处理中
PRE_FILE_PROCESS_FINISH = 3  处理完成
"""

PRE_FILE_WAIT_PROCESS = 1
PRE_FILE_PROCESSING = 2
PRE_FILE_PROCESS_FINISH = 3

"""
处理文件的状态:
FILE_WAIT_PROCESS = 1       待处理
FILE_PROCESSING = 2         正在处理中
FILE_PROCESSING_FINISH = 3  处理完成
"""
FILE_WAIT_PROCESS = 1
FILE_PROCESSING = 2
FILE_PROCESS_FINISH = 3

"""
每个阶段失败的code定义:
UNZIP_CODE=1         文件解压失败
FTP_CODE=2           ftp信息错误
UNCODE_CODE=3        编码错误
PARSE_CSV_FILE=4     解析csv文件异常
CLEAN_CODE=5         清洗错误
PARSE_COLS=6         列名解析异常
FINAL_RESULT_SUCCESS 文件最终处理成功结果
FINAL_RESULT_FAILED  文件最终处理失败结果
TIME_FORMAT_CODE  文件最终处理失败结果
"""
UNZIP_CODE = 1
FTP_CODE = 2
UNCODE_CODE = 3
PARSE_CSV_FILE = 4
CLEAN_CODE = 5
PARSE_COLS = 6
FINAL_RESULT_SUCCESS = 0
FINAL_RESULT_FAILED = -1
TIME_FORMAT_CODE=7
"""
ETL处理部分:
ETL_WAIT_PROCESS = 1       ETL等待处理
ETL_PROCESSING = 2         ETL正在处理中
ETL_PROCESSING_FINISH = 3  ETL处理完成
PRODUCT_API_FINISH=4       接口生成完毕
"""

"""
数据库连接:
HOST=''       数据库ip地址
USER=''       数据库用户名
PASS_WORD=''  数据库密码
DB_NAME=''    数据库库名
"""

HOST = ''
USER = ''
PASS_WORD = ''
DB_NAME = ''

"""
更新人:
UPDATE_PERSON=1  sp
UPDATE_PERSON=1  zmh
UPDATE_PERSON=1  rm
"""
SP_UPDATE_PERSON = 1
ZMH_UPDATE_PERSON = 2
RM_UPDATE_PERSON = 3

"""
最后处理结果:
DEAL_SUCCESS=200  成功
DEAL_FAIL=400     失败
"""
DEAL_SUCCESS = 200
DEAL_FAILED = 404

"""
ETL处理表:
ETL_HOST="47.113.20.243"     数据库ip地址
ETL_USER=root                数据库用户名
ETL_PASSWORD="I%ou$buy!ok"   数据库密码
ETL_DBNAME="wj-mkt-project"  数据库库名
"""
ETL_HOST = "rm-wz9n399q2avsy3k6m4o.mysql.rds.aliyuncs.com"
ETL_USER = "root"
ETL_PASSWORD = "I%ou$buy!ok"
ETL_DBNAME = "wj-mkt-project"

"""
文件预处理默认信息
DEFAULT_PRETREATMENT_STATUS_RESULT=''  文件默认的状态
DEFAULT_ERROR_INFO=''                  文件默认的错误信息
"""
DEFAULT_PRETREATMENT_STATUS_RESULT = ''
DEFAULT_ERROR_INFO = ''

"""
TO DO:
每个阶段执行的结果
SUCCESS_CODE=0 执行成功
FAILED_CODE=1  执行失败
"""
SUCCESS_CODE = 0
FAILED_CODE = 1
