#!/bin/bash
set -e
#数据库的ip地址
hostname="rm-wz9n399q2avsy3k6m4o.mysql.rds.aliyuncs.com"
#数据库的端口
port="3306"
#数据库的用户名
username="root"
#数据库的密码
password="I%ou\$buy!ok"
#数据库的库名
dbname="wj-mkt-project"
#通过状态查询出文件id
select_db_sql="select file_deposit from t_file_handle_status where deposit_status=1"
file_deposit=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${select_db_sql}")
echo "file_deposit执行结果返回：$file_deposit"
#判断上个执行结果
if [ ${#file_deposit} -gt 0 ];
then
  echo "轮循到新增文件，文件id为：$file_deposit"
  #根据上面的文件id查询出需要的字段
  get_file_deposit_info_sql="select file_name from t_file_deposit where file_deposit_id=$file_deposit"
  get_file_deposit_info=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${get_file_deposit_info_sql}")
  #获取压缩文件名
  zip_file_name=`echo $get_file_deposit_info | awk -F' ' '{print $1}'`
  file_name=`echo $zip_file_name | cut -d \. -f 1`
  hdfs_path="/tmp/tuomin_data/`date +%Y-%m-%d`/$file_name/dt"
  python3 /root/dmp/etl_process_data/etl_job/file_handle/file_handle.py $file_deposit $hdfs_path
else
  echo "未轮循到新增文件..."
fi
