#!/bin/bash
set -e
#  数据库的ip地址
hostname="rm-wz9n399q2avsy3k6m4o.mysql.rds.aliyuncs.com"
#  数据库的端口
port="3306"
#  数据库的ip用户名
username="root"
#  数据库的密码
password="I%ou\$buy!ok"
#  数据库的库名
dbname="wj-mkt-project"
#  文件预处理的状态
preStatus="预处理"
processingStatus="预处理中"
finishStatus="预处理完成"
#  通过文件预处理的状态获取文件id
select_db_sql="select file_deposit from t_file_pretreatment_status where pretreatment_status=1"
file_deposit=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${select_db_sql}")
echo "file_deposit执行结果返回：$file_deposit"
#  判断上个命令是否执行成功
if [ ${#file_deposit} -gt 0 ];
then
  echo "轮循到新增文件，文件id为：$file_deposit"
  #update
  #  通过文件id获取文件名,文件地址,文件格式
  get_file_deposit_info_sql="select file_deposit_id,file_name,file_address,file_format from t_file_deposit where file_deposit_id=$file_deposit"
  get_file_deposit_info=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${get_file_deposit_info_sql}")
  #  zip文件的名字
  zip_file_name=`echo $get_file_deposit_info | awk -F' ' '{print $2}'`
  #  文件名
  file_name=`echo $zip_file_name | cut -d \. -f 1`
  #  hdfs路径
  hdfs_path="/tmp/tuomin_data/`date +%Y-%m-%d`/$file_name"
  unzip_output_path="/opt/dmp/dmp_etlprocesses/ftp_data/dst"
  copy_output_path="/opt/dmp/dmp_etlprocesses/ftp_data/dt"
  python3 /root/dmp/etl_process_data/etl_job/file_pretreatment/file_pretreatment.py $get_file_deposit_info $hdfs_path $unzip_output_path $copy_output_path
  #  判断hdfs目录是否存在
  hdfs dfs -test -d /user/tuomin_test
  if [ $? = 0 ];then
    echo "==========1=========="
    hdfs dfs -test -d $hdfs_path
    if [ $? != 0 ];then
      echo "==========2=========="
      hdfs dfs -mkdir -p $hdfs_path
      hdfs dfs -put $copy_output_path $hdfs_path
    else
      echo ""==========3==========""
      hdfs dfs -rm -r $hdfs_path
      hdfs dfs -mkdir -p $hdfs_path
      hdfs dfs -put $copy_output_path $hdfs_path
    fi
    echo ""==========4==========""
  fi
else
  echo "未轮循到新增文件......"
fi
