import sys
import constants, DbUtils

"""
更改状态:
"""


def updateStatusById(treatment_status, treatment_status_result, error_info, upt_time, upt_person, file_deposit,tableName):
    """
    :param pretreatment_status: 文件预处理状态
    :param pretreatment_status_result: 预处理结果码  无 有默认值
    :param error_info: 错误信息 无      有默认值
    :param upt_time: 更新时间
    :param upt_person: 更新人
    :param file_deposit: 文件id
    :return:
    """
    try:
        db, cursor = DbUtils.create_conn()
        # use cursor excute sql
        cursor = db.cursor()
        # serch_data = """select t1 from test where id = {table_id}""".format(table_id=id)
        # update_data = 'update test set status=%s where id =%s'  %(status, id)
        if tableName==constants.PRE_FILE_TABLE_NAME:
            update_data = 'update %s set pretreatment_status=%s,pretreatment_status_result=%s,error_info=\"%s\", ' \
                          'upt_time=\'%s\',upt_person=\'%s\' where file_deposit=%s' % (
                tableName, treatment_status, treatment_status_result, error_info, upt_time, upt_person,file_deposit)
        elif tableName==constants.FILE_TABLE_NAME:
            update_data = 'update %s set deposit_status=%s,deposit_status_result=%s,error_info=\"%s\",' \
                          'upt_time=\'%s\',upt_person=\'%s\' where file_deposit=%s' % (
                tableName, treatment_status, treatment_status_result, error_info, upt_time, upt_person, file_deposit)

        cursor.execute(update_data)
        db.commit()
        DbUtils.close_conn(db, cursor)
    except Exception as e:
        print(" error_info: %s ，update status executor failed:%s" %(error_info,e))
        sys.exit(1)
