#!/bin/bash
set -e
hostname="192.168.1.90"
port="3306"
username="root"
password="root"
dbname="demo_test"
select_db_sql="select file_deposit from t_file_handle_status where deposit_status='01'"
file_deposit=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${select_db_sql}")
echo "file_deposit执行结果返回：$file_deposit"
if [ ${#file_deposit} -gt 0 ];
then
  echo "轮循到新增文件，文件id为：$file_deposit"
  get_file_deposit_info_sql="select file_name from t_file_deposit where file_deposit_id=$file_deposit"
  get_file_deposit_info=$(mysql -h${hostname} -P${port} -u${username} -p${password} ${dbname} -s -e "${get_file_deposit_info_sql}")
  zip_file_name=`echo $get_file_deposit_info | awk -F' ' '{print $1}'`
  file_name=`echo $zip_file_name | cut -d \. -f 1`
  hdfs_path="/user/datawarehouse/`date +%Y-%m-%d`/$file_name"
  python3 file_handle.py $file_deposit $hdfs_path
else
  echo "未轮循到新增文件..."
fi