#!/usr/local/bin/python

import sys
import os
import shutil
import zipfile

pyName = sys.argv[0]   #sys.argv[0] 类似于shell中的$0, 但不是脚本名称，而是脚本的路径
zipPath = sys.argv[1]    #sys.argv[1] 表示传入的第一个参数
inputPath = sys.argv[2]    #sys.argv[2] 表示传入的第二个参数
outputPath = sys.argv[3]    

def get_file(srcPath, dstPath):
    res = []
    for root, dirs, files in os.walk(srcPath, True):
        for fileName in files:
            name, suf = os.path.splitext(fileName)
            if fileName.endswith('.csv'):
                shutil.copy(os.path.join(root, fileName), dstPath)

def unzip_file(zip_file_name, destination_path):
    archive = zipfile.ZipFile(zip_file_name, mode='r')
    for file in archive.namelist():
        archive.extract(file, destination_path)

if __name__ == '__main__':
    print('解压、复制中...')
    unzip_file(zipPath, inputPath)
    get_file(inputPath, outputPath)
