

# mysql 相关参数
MY_MYSQL_DRIVER = 'org.mariadb.jdbc.Driver'
MY_MYSQL_URL = 'jdbc:mysql://hadoop1:3306/wanjia?useSSL=false'
MY_MYSQL_USER = 'root'
MY_MYSQL_PASSWORD = '123'

# save 相关参数
'''
    :param mode: specifies the behavior of the save operation when data already exists.
    * ``append``: Append contents of this :class:`DataFrame` to existing data.
    * ``overwrite``: Overwrite existing data.
    * ``ignore``: Silently ignore this operation if data already exists.
    * ``error`` or ``errorifexists`` (default case): Throw an exception if data already exists.
    '''
SAVE_MODE_OVERWRITE = 'overwrite'
SAVE_MODE_APPEND = 'append'
SAVE_MODE_IGNORE = 'ignore'
SAVE_MODE_ERROR = 'error'

HDFS_PATH = 'hdfs://hadoop1:9000/wanjia'

"""
:parameter:-1 表示复制文件失败，-2表示md5函数解析失败，-3
"""

COPY_FILE_CODE = -1
DATA_DEAL_CODE = -2
UPLOAD_CSV_FTP_CODE = -3
SELECT_CODE = -4
SUCCESS_CODE = 0
