#! /bin/bash
id=$1
output_file=$2
echo "传入的数据库id为: ${id}"
echo "目标文件路径为: " ${output_file}

#nohup spark-submit --jars /usr/bigdata/spark-3.0.1-bin-hadoop3.2/jars/mariadb-java-client-2.1.2.jar dependencies.py ${id} ${output_file}  > /root/test.log 2>&1 &
spark-submit \
  --jars /usr/bigdata/spark-3.0.1-bin-hadoop3.2/jars/mariadb-java-client-2.1.2.jar \
  --conf "spark.driver.extraJavaOptions=-Dlog4j.configuration=./log4j.properties" \
  --conf "spark.executor.extraJavaOptions=-Dlog4j.configuration=./log4j.properties" \
  dependencies.py ${id} ${output_file}