import sys
from wanjia_tuomin.micko import modifyStatus, DbUtils, constants, MyFTP
import time
import os

localTime = time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())
print(time)
"""
通过传入的记录获取需要的字段
"""


def getColumns(column):
    """

    :param column: 数据库查询出来的记录
    :return:       具体需要的字段
    """

    try:
        print(column)
        #  遍历后判断是否为None,如果为None就用原始字段,如果不为None就用用户修改的字段
        list_cols = [[] for i in range(len(column))]
        for i in range(0, len(column)):
            if column[i][2] is not None:
                list_cols[i].append(column[i][2])
            else:
                list_cols[i].append(column[i][0])
            if column[i][3] is not None:
                list_cols[i].append(column[i][3])
            else:
                list_cols[i].append(column[i][1])
            list_cols[i].append(column[i][4])
        print(list_cols)
        #  all columes
        col = ""
        #  rule columes
        col_file = ""
        col_create = ""
        col_list = []
        #  clean_up rule
        for i in range(0, len(list_cols)):
            if list_cols[i][2] == "md5" or list_cols[i][2] == "base64":
                col += list_cols[i][2] + '(' + list_cols[i][0] + ') as ' + list_cols[i][0] + ", " + list_cols[i][
                    0] + ' as t_' + list_cols[i][0] + ', '
                # col_file += list_cols[i][2] + '(' + list_cols[i][0] + ') as ' + list_cols[i][0] + ', '
                col_file += list_cols[i][0] + ', '
                col_list.append(list_cols[i][0])
                col_list.append('t_' + list_cols[i][0])
            else:
                col += list_cols[i][0] + ', '
                col_file += list_cols[i][0] + ', '
                col_list.append(list_cols[i][0])
            col_create += list_cols[i][0] + " string, "
        create_tmp_sql = 'create table impala_tmp as select %s from %s' % (col[0:-2], 'a')
        md5_sql = 'select %s from %s' % (col_file[0:-2], 'impala_tmp')
        impala_sql = ""
        for i in range(0, len(col_list)):
            if i < 10:
                impala_sql += col_list[i] + " as c0" + str(i + 1) + ", "
            else:
                impala_sql += col_list[i] + " as c" + str(i + 1) + ", "
        impala_sql = 'insert into %s as select %s from %s' % ("impala_table", impala_sql[0:-2], 'impala_tmp')
        dir = '/test/dt'
        create_sql = 'create external table a (%s) stored as txt location "%s" ' % (col_create[0:-2], dir)

        print("---------------------->", create_sql)
        print("---------------------->", create_tmp_sql)
        print("---------------------->", md5_sql)
        print("---------------------->", impala_sql)
        return [create_sql, create_tmp_sql, md5_sql, impala_sql]
    except  Exception as e:
        #   update file_status set FILE_PROCESSING,update file_code set PARSE_COLS
        modifyStatus.updateStatusById(constants.FILE_PROCESSING, constants.PARSE_COLS, e, localTime,
                                      constants.SP_UPDATE_PERSON, file_id)
        print("json parse exception:{0}".format(e))


if __name__ == '__main__':
    try:
        file_id = sys.argv[1]
        hdfs_path = sys.argv[2]
        # file_id = 1
        # hdfs_path = "/user/datawarehouse/2020-12-10/user_info"
        # modifyStatus.updateStatusById(constants.DEAL_FILE_PROCESSING,constants.DEFAULT_PRETREATMENT_STATUS_RESULT,constants.DEFAULT_ERROR_INFO,localTime,constants.ZMH_UPDATE_PERSON,file_id)
        db, cursor = DbUtils.create_conn()
        cursor = db.cursor()
        get_col_info_sql = '''select field_name,field_type,modify_field_name,modify_field_type,clean_rule
                          from t_file_save_field_info where file_deposit = ''' + str(file_id)
        cursor.execute(get_col_info_sql)
        cols = cursor.fetchall()
        db.commit()
        list_sqls = getColumns(cols)

        #  excute create table sql
        os.system('impala-shell -q "%s"' % (list_sqls[0]))
        #  excute create tmp table sql
        os.system('impala-shell -q "%s"' % (list_sqls[1]))
        query = list_sqls[2]
        #  excute src_sql to impala table
        os.system('impala-shell -q "%s"' % (list_sqls[3]))
        #  excute src_sql to csv
        dir = ''
        os.system('impala-shell -B -q "%s" -o %s \'--output_delimiter=,\'' % (query, dir))
        #  upload file to ftp
        host_address = "192.168.153.1"
        username = "sp"
        password = "sp940219sp"
        my_ftp = MyFTP(host_address)
        my_ftp.login(username, password)
        my_ftp.upload_file("C:/Users/songpeng/Desktop/test1/1.csv", "/22.csv")
        my_ftp.close()
        #  update file_status set FILE_PROCESS_FINISH,update file_code set FINAL_RESULT_SUCCESS
        modifyStatus.updateStatusById(constants.FILE_PROCESS_FINISH, constants.FINAL_RESULT_SUCCESS, "成功",
                                      localTime,
                                      constants.ZMH_UPDATE_PERSON, file_id)
    except Exception as e:
        print("execute table error{}".format(e))
        #  update file_status set FILE_PROCESSING,update file_code set FINAL_RESULT_FAILED
        modifyStatus.updateStatusById(constants.FILE_PROCESSING, constants.FINAL_RESULT_FAILED, "失败",
                                      localTime,
                                      constants.ZMH_UPDATE_PERSON, file_id)
