import pymysql

from wanjia_tuomin.micko import constants, DbUtils

"""
更改状态:
"""


def updateStatusById(pretreatment_status, pretreatment_status_result, error_info, upt_time, upt_person, file_deposit):
    """

    :param pretreatment_status: 文件预处理状态
    :param pretreatment_status_result: 预处理结果码  无 有默认值
    :param error_info: 错误信息 无      有默认值
    :param upt_time: 更新时间
    :param upt_person: 更新人
    :param file_deposit: 文件id
    :return:
    """
    try:
        db, cursor = DbUtils.create_conn()
        # use cursor excute sql
        cursor = db.cursor()
        # serch_data = """select t1 from test where id = {table_id}""".format(table_id=id)
        # update_data = 'update test set status=%s where id =%s'  %(status, id)
        if constants.DEFAULT_PRETREATMENT_STATUS_RESULT == pretreatment_status_result or constants.DEFAULT_ERROR_INFO == error_info:
            update_data = 'update %s set pretreatment_status=%s,upt_time=%s,upt_person where file_deposit=%s' % (
                "table_name", pretreatment_status, pretreatment_status_result, error_info, upt_time, upt_person,
                file_deposit)
        else:
            update_data = 'update %s set pretreatment_status=%s,pretreatment_status_result=%s,error_info=%s,upt_time=%s,upt_person where file_deposit=%s' % (
                "table_name", pretreatment_status, pretreatment_status_result, error_info, upt_time, upt_person,
                file_deposit)

        result = cursor.execute(update_data)
        db.commit()
        # get result
    except Exception as e:
        print("executor failed:{}".format(e))
    finally:
        # close conn
        cursor.close()
        db.close()
    return result
