"""
各种类型错误定义:
"""

"""
==================公用数据常量池定义==================
"""

"""
DEFAULT_file_STATUS   文件预处理/处理 默认的状态
FINAL_RESULT_SUCCESS   文件预处理/处理 最终处理成功结果
"""
FINAL_RESULT_SUCCESS = 200
DEFAULT_FILE_STATUS = 0

"""
更新人:
UPDATE_PERSON=1  sp
UPDATE_PERSON=2  zmh
UPDATE_PERSON=3  rm
"""
SP_UPDATE_PERSON = 1
ZMH_UPDATE_PERSON = 2
RM_UPDATE_PERSON = 3

"""
DEFAULT_ERROR_INFO=''    文件默认的错误信息
"""
DEFAULT_ERROR_INFO = ''

"""
PRE_FILE_TABLE_NAME  文件预处理，需更新的表名
FILE_TABLE_NAME  文件处理，需更新的表名
"""
PRE_FILE_TABLE_NAME='t_file_pretreatment_status'
FILE_TABLE_NAME='t_file_handle_status'

"""
==================文件预处理，数据常量池定义==================
"""
"""
PRE_FILE_WAIT_PROCESS = 1       上传
PRE_FILE_PROCESSING = 2         正在处理中
PRE_FILE_PROCESS_FINISH = 3  处理完成
"""
PRE_FILE_WAIT_PROCESS = 1
PRE_FILE_PROCESSING = 2
PRE_FILE_PROCESS_FINISH = 3

"""
文件预处理阶段失败的code定义:
UNZIP_CODE=1         文件解压失败
FTP_CODE=2           ftp信息错误
UNCODE_CODE=3        编码错误
PARSE_CSV_FILE=4     解析csv文件异常
CSV_TYPES_PARSE    csv字段类型解析异常
"""
UNZIP_CODE = 1
FTP_CODE = 2
UNCODE_CODE = 3
PARSE_CSV_FILE = 4
CSV_TYPES_PARSE = 5

"""
==================文件处理，数据常量池定义==================
"""
"""
FILE_WAIT_PROCESS = 1       待处理
FILE_PROCESSING = 2         正在处理中
FILE_PROCESSING_FINISH = 3  处理完成
"""
FILE_WAIT_PROCESS = 1
FILE_PROCESSING = 2
FILE_PROCESSING_FINISH = 3

"""
文件处理阶段失败的code定义:
CLEAN_CODE=1         清洗错误
PARSE_COLS=2         列名解析异常
GET_COL_FAILE=3      连接数据库获取文件字段、类型异常
CSV_TABLE_FILE=4     csv落表异常
CSV_TO_FTP_FILE=5    csv落ftp异常
"""
CLEAN_CODE = 1
PARSE_COLS = 2
GET_COL_FAILE=3
CSV_TABLE_FILE=4
CSV_TO_FTP_FILE=5

"""
==================api，数据常量池定义==================
"""



"""
==================数据库连接，常量池定义==================
"""
"""
数据库连接:
HOST=''       数据库ip地址
USER=''       数据库用户名
PASS_WORD=''  数据库密码
DB_NAME=''    数据库库名
"""
HOST = ''
USER = ''
PASS_WORD = ''
DB_NAME = ''

"""
ETL处理表:
ETL_HOST="47.113.20.243"     数据库ip地址
ETL_USER=root                数据库用户名
ETL_PASSWORD="I%ou$buy!ok"   数据库密码
ETL_DBNAME="wj-mkt-project"  数据库库名
"""
ETL_HOST = "rm-wz9n399q2avsy3k6m4o.mysql.rds.aliyuncs.com"
ETL_USER = "root"
ETL_PASSWORD = "I%ou$buy!ok"
ETL_DBNAME = "wj-mkt-project"
